/*******************************************************************************
*                                 Radio interface
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief GPIO жϴ 
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-22  sup, first implementation.
 * \endinternal
 */
 
 #ifndef __INT_H__
 #define __INT_H__
 
#include "radio.h"

typedef void (*pfnvoid_t) (void);

void key_irq_disable (void);
void key_irq_enable (void);
void key2_int_init(pfnvoid_t key2_int_cb);
void key3_int_init(pfnvoid_t key3_int_cb);

void radio_rcv_int_disable (void);
void radio_rcv_int_enable (void);
void radio_int_init (radio_handle_t handle,pfnvoid_t radio_int_cb);
 
#endif
