/*******************************************************************************
*                                 SPI Driver 
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief SPI
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-22  sup, first implementation.
 * \endinternal
 */

#ifndef _SPI_H_
#define _SPI_H_

#include "stdint.h"


#define HARDWARE_SPI         1        /* 1ΪʹӲSPI0ΪʹģSPI   */

void spi_send_byte (uint8_t send_data);

uint8_t spi_recv_byte (void);

int spi_init (void);

#endif /* 1212_SPI_H_ */
