/*******************************************************************************
*                            SX127x radio differ
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      ametal.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief SX127x radio differ
 *
 *  radio.hļҪʹõͲ
 *
 * \internal
 * \par Modification history
 * - 1.00 18-6-8  sup, first implementation.
 * \endinternal
 */
 
#ifndef __SX127X_RADIO_DIFFER_H
#define __SX127X_RADIO_DIFFER_H 

/**
 * \brief ioctl
 */
#define CAD_START                        0x06


/**
 * \brief ģ鵱ǰ״̬
 */
typedef enum {
    IDLE_ST = 0,
    SLEEP_ST,
    RX_RUNING_ST,
    TX_RUNING_ST,
	CAD_ST
} radio_state_t;

#endif

